'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

function createHtmlContainer(_ref) {
  var _ref$htmlContainerHei = _ref.htmlContainerHeight,
      htmlContainerHeight = _ref$htmlContainerHei === undefined ? 0.3 : _ref$htmlContainerHei,
      html = _ref.html;

  htmlContainerHeight = (0, _lodash.clamp)(htmlContainerHeight, 0, 1);
  $('#html-container').html(html);

  return {
    setHeightRatio: function setHeightRatio(newHeight) {
      htmlContainerHeight = (0, _lodash.clamp)(newHeight, 0, 1);
      $(window).trigger('resize');
    },
    getHeightRatio: function getHeightRatio() {
      return htmlContainerHeight;
    },
    getHeightAbs: function getHeightAbs() {
      return htmlContainerHeight * window.innerHeight;
    },
    render: function render(html) {
      return $('#html-container').html(html);
    }
  };
} /* globals $ */
exports.default = createHtmlContainer;