'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

exports.default = createSocketClient;

var _events = require('events');

var _socket = require('socket.io-client');

var _socket2 = _interopRequireDefault(_socket);

var _events2 = require('../events');

var Events = _interopRequireWildcard(_events2);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SocketClient = function (_EventEmitter) {
  _inherits(SocketClient, _EventEmitter);

  function SocketClient(namespace) {
    _classCallCheck(this, SocketClient);

    var _this = _possibleConstructorReturn(this, (SocketClient.__proto__ || Object.getPrototypeOf(SocketClient)).call(this));

    _this.socket = (0, _socket2.default)(namespace, {
      reconnection: false
    });
    _this.setupHandlers();
    return _this;
  }

  _createClass(SocketClient, [{
    key: 'setupHandlers',
    value: function setupHandlers() {
      var _this2 = this;

      this.socket.on(Events.SET_ID, function (uuid) {
        return _this2.emit(Events.SET_ID, uuid);
      });
      this.socket.on(Events.HEARTBEAT, function (_ref) {
        var latest = _ref.latest,
            avg = _ref.avg;

        _this2.socket.emit(Events.HEARTBEAT_ACK);
      });
      this.socket.on('event', function (event) {
        return _this2.emit('event', event);
      });
      this.socket.on('disconnect', function () {
        _this2.socket.off();
        _this2.emit(Events.CLIENT_DISCONNECTED);
      });
    }
  }, {
    key: 'sendEvent',
    value: function sendEvent(event) {
      this.socket.emit('event', event);
    }
  }, {
    key: 'sendCommand',
    value: function sendCommand(cmd) {
      this.socket.emit('cmd', cmd);
    }
  }]);

  return SocketClient;
}(_events.EventEmitter);

function createSocketClient() {
  var namespace = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '/clients';

  return new SocketClient(namespace);
}