'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Client 'lifecycle'. Fired on connects/reconnects/disconnects.
 */
var CLIENT_CONNECTED = exports.CLIENT_CONNECTED = '@monsterr/CLIENT_CONNECTED';
var CLIENT_RECONNECTED = exports.CLIENT_RECONNECTED = '@monsterr/CLIENT_RECONNECTED';
var CLIENT_DISCONNECTED = exports.CLIENT_DISCONNECTED = '@monsterr/CLIENT_DISCONNECTED';

/**
 * Stage/Game 'lifecycle'.
 *
 * START_STAGE: Server notifies client to start a stage.
 * END_STAGE: Server notifies client to end a stage.
 * STAGE_FINISHED: Client notifies server that it has finished
 *  a stage. This is only used when stage is timed on clients.
 * GAME_OVER: Server notifies client whn the last stage has ended.
 */
var START_STAGE = exports.START_STAGE = '@monsterr/START_STAGE';
var END_STAGE = exports.END_STAGE = '@monsterr/END_STAGE';
var STAGE_FINISHED = exports.STAGE_FINISHED = '@monsterr/STAGE_FINISHED';
var GAME_OVER = exports.GAME_OVER = '@monsterr/GAME_OVER';

/**
 * Misc.
 */
var SET_ID = exports.SET_ID = '@monsterr/SET_ID'; // notify client of new id
var SET_NAME = exports.SET_NAME = '@monsterr/SET_NAME'; // change client name
var RENAME = exports.RENAME = '@monsterr/RENAME'; // notify others of client name change
var HEARTBEAT = exports.HEARTBEAT = '@monsterr/HEARTBEAT';
var HEARTBEAT_ACK = exports.HEARTBEAT_ACK = '@monsterr/HEARTBEAT_ACK';
var LOG = exports.LOG = '@monsterr/LOG'; // client logs something
var MESSAGE = exports.MESSAGE = '@monsterr/MESSAGE'; // client sends message

/* Public api */
exports.default = {
  CLIENT_CONNECTED: CLIENT_CONNECTED,
  CLIENT_RECONNECTED: CLIENT_RECONNECTED,
  CLIENT_DISCONNECTED: CLIENT_DISCONNECTED,

  START_STAGE: START_STAGE,
  END_STAGE: END_STAGE,
  STAGE_FINISHED: STAGE_FINISHED,
  GAME_OVER: GAME_OVER,

  LOG: LOG,
  MESSAGE: MESSAGE
};